aboutsummaryrefslogtreecommitdiff
path: root/models/openid-php-openid-782224d/admin/notabs
diff options
context:
space:
mode:
Diffstat (limited to 'models/openid-php-openid-782224d/admin/notabs')
-rw-r--r--models/openid-php-openid-782224d/admin/notabs16
1 files changed, 16 insertions, 0 deletions
diff --git a/models/openid-php-openid-782224d/admin/notabs b/models/openid-php-openid-782224d/admin/notabs
new file mode 100644
index 000000000..b6a7df012
--- /dev/null
+++ b/models/openid-php-openid-782224d/admin/notabs
@@ -0,0 +1,16 @@
+#!/usr/bin/env bash
+#
+# Look in the local directory for PHP files that have tabs in them. If
+# there are files with tabs, print the list of files and exit with
+# non-zero status.
+
+tabs=$(./admin/findphp | xargs egrep -n ' ' | sort)
+
+if [ ! -z "$tabs" ]
+ then
+ cat <<EOF 1>&2
+Found tabs in:
+$tabs
+EOF
+ exit 1
+fi